Multiplay Labs

tech hits and tips from Multiplay

Archive for March 18th, 2011

Plugin Storage Engines under MySQL 5.5 require Grant Tables

without comments

Under MySQL 5.5 optional storage engines now require privileges loaded and hence will fail to load when –skip-grant-tables is specified.

If you try to load them when this option is specified the result is that the entire db will fail to start and the following error will appear in the logs:
110318 21:37:23 [ERROR] /usr/local/libexec/mysqld: unknown option ‘–federated’

This in turn means that an upgrade from 5.x needs to be done in three steps if you have federated tables
1. With –skip-grant-tables and without –federated
2. Install and enable the federated plugin: mysql> install plugin federated soname ‘ha_federated.so’;
3. Without –skip-grant-tables and with –federated

Written by Dilbert

March 18th, 2011 at 9:52 pm

Posted in MySQL